org.apache.commons.math3.random

## Class EmpiricalDistribution.ArrayDataAdapter

- java.lang.Object
- - org.apache.commons.math3.random.EmpiricalDistribution.DataAdapter
  - - org.apache.commons.math3.random.EmpiricalDistribution.ArrayDataAdapter

- Enclosing class:
    EmpiricalDistribution

      private class EmpiricalDistribution.ArrayDataAdapter
      extends EmpiricalDistribution.DataAdapter

  `DataAdapter` for data provided as array of doubles.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private double[]` | `inputArray` Array of input data values

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmpiricalDistribution.ArrayDataAdapter(double[] in)` Construct an ArrayDataAdapter from a double[] array

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `computeBinStats()` Compute bin stats.
    `void` | `computeStats()` Compute sample statistics.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### inputArray

          private double[] inputArray

      Array of input data values

  - ### Constructor Detail

    - #### EmpiricalDistribution.ArrayDataAdapter

          public EmpiricalDistribution.ArrayDataAdapter(double[] in)
                                                 throws NullArgumentException

      Construct an ArrayDataAdapter from a double[] array
      Parameters:
        `in` - double[] array holding the data
      Throws:
        `NullArgumentException` - if in is null

  - ### Method Detail

    - #### computeStats

          public void computeStats()
                            throws java.io.IOException

      Compute sample statistics.
      Specified by:
        `computeStats` in class `EmpiricalDistribution.DataAdapter`
      Throws:
        `java.io.IOException` - if an error occurs computing sample stats

    - #### computeBinStats

          public void computeBinStats()
                               throws java.io.IOException

      Compute bin stats.
      Specified by:
        `computeBinStats` in class `EmpiricalDistribution.DataAdapter`
      Throws:
        `java.io.IOException` - if an error occurs computing bin stats

Copyright (c) 2003-2013 Apache Software Foundation